Bug 241722 - [fix available] crash after copying/pasting text with many links
[fix available] crash after copying/pasting text with many links
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 16:08 EDT by Luis Villa
Modified: 2008-05-21 13:24 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0463
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 13:24:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
frame that I copied into the doc, causing(?) the crash (43.04 KB, application/zip)
2007-05-29 16:08 EDT, Luis Villa
no flags Details
fix as in FC-6 (700 bytes, patch)
2007-05-30 03:53 EDT, Caolan McNamara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 68655 None None None Never

  None (edit)
Description Luis Villa 2007-05-29 16:08:28 EDT
I got the included stack trace after copying and pasting into a fairy simple
(but totally confidential) document. The first time the crash was almost
immediate; the second time the crash came a minute or two after I'd reopened the
doc, re-pasted the data, and then went on my way.

Pasting the same text into a blank file does not seem to cause the crash (blah.)
I can email the original file, or attach it if the security group is considered
acceptable practices for confidential docs.

The trace:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Reloading /usr/lib/xorg/modules/drivers/radeon_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-52.el5.2-i386
(V)    kernel is: Linux 2.6.18-8.1.1.el5 #1 SMP Mon Feb 26 20:38:02 EST 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.4.17.1-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x4a0c5ee8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x22ee8
0x4a0c6b7b: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23b7b
0xf16420:  + 0x420 (__kernel_sigreturn + 0x0)
0xec585e: /usr/lib/libneon.so.25 + 0x985e (ne_session_create + 0x13e)
0xee384b: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0x884b
0xee3c61: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0x8c61
0xee56dc: /usr/lib/gnome-vfs-2.0/modules/libhttp.so + 0xa6dc
0x502135: /usr/lib/libgnomevfs-2.so.0 + 0x18135
(gnome_vfs_get_file_info_uri_cancellable + 0x102)
0x51d818: /usr/lib/libgnomevfs-2.so.0 + 0x33818 (gnome_vfs_get_file_info_uri + 0x33)
0x51d7c8: /usr/lib/libgnomevfs-2.so.0 + 0x337c8 (gnome_vfs_get_file_info + 0x48)
0x41cd3a: /usr/lib/openoffice.org2.0/program/ucpgvfs1.uno.so + 0xed3a
(gvfs::Content::getInfo(com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment>
const&) + 0xaa)
0x4236da: /usr/lib/openoffice.org2.0/program/ucpgvfs1.uno.so + 0x156da
(gvfs::Content::getPropertyValues(com::sun::star::uno::Sequence<com::sun::star::beans::Property>
const&, com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment>
const&) + 0x6a)
0x425b8f: /usr/lib/openoffice.org2.0/program/ucpgvfs1.uno.so + 0x17b8f
(gvfs::Content::execute(com::sun::star::ucb::Command const&, long,
com::sun::star::uno::Reference<com::sun::star::ucb::XCommandEnvironment> const&)
+ 0x24f)
0x4a328f05: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x1cf05
0x4a32cfb5: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x20fb5
(ucb::Content::getPropertyValuesInterface(com::sun::star::uno::Sequence<rtl::OUString>
const&) + 0x1c5)
0x4a32d2ed: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x212ed
(ucb::Content::getPropertyValues(com::sun::star::uno::Sequence<rtl::OUString>
const&) + 0x2d)
0x4a32d657: /usr/lib/openoffice.org2.0/program/libucbhelper3gcc3.so + 0x21657
(ucb::Content::getPropertyValue(rtl::OUString const&) + 0xc7)
0x4a665ecc: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x91ecc
0x4a666f2c: /usr/lib/openoffice.org2.0/program/libcomphelp4gcc3.so + 0x92f2c
(comphelper::MediaDescriptor::addInputStream() + 0x2dc)
0x4ad86700: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x158700
0x4ad879c6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1599c6
(SfxMedium::GetInStream() + 0xb6)
0x4ad87a64: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x159a64
(SfxMedium::DownLoad(Link const&) + 0x34)
0x4c3c7251: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2ad251
0x4c3c7a5c: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x2ada5c
0x4d4d50f5: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x4b80f5
0x4d1c0661: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1a3661
0x4d477dca: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x45adca
0x4a76969c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b69c
(Timer::Timeout() + 0x1c)
0x4a769889: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b889
(Timer::ImplTimerCallbackProc() + 0x79)
0x29f05a: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4805a
(X11SalData::Timeout() const + 0x2a)
0xccce96: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfe96
0xccced1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xfed1
0x49308916: /lib/libglib-2.0.so.0 + 0x2b916
0x49308342: /lib/libglib-2.0.so.0 + 0x2b342 (g_main_context_dispatch + 0x182)
0x4930b31f: /lib/libglib-2.0.so.0 + 0x2e31f
0x4930b885: /lib/libglib-2.0.so.0 + 0x2e885 (g_main_context_iteration + 0x65)
0xccebd1: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x11bd1
0x2a87b7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517b7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x4a763708: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x95708
(Application::Yield(bool) + 0x68)
0x4a7637dc: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x957dc
(Application::Execute() + 0x3c)
0x4c097279: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x26279
(desktop::Desktop::Main() + 0x1779)
0x4a7692ac: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b2ac
0x4a7693b5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9b3b5
(SVMain() + 0x35)
0x4c088979: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17979 (sal_main
+ 0x59)
0x4c088a04: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x17a04 (main + 0x44)
0x4914bdec: /lib/libc.so.6 + 0x15dec (__libc_start_main + 0xdc)
0x80484a1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00e81000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x0095b000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00eb1000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x00fa1000)
	libdl.so.2 => /lib/libdl.so.2 (0x00ea5000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x00612000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x00393000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00153000)
	libm.so.6 => /lib/libm.so.6 (0x00712000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00562000)
	libc.so.6 => /lib/libc.so.6 (0x0023e000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00782000)
	/lib/ld-linux.so.2 (0x48767000)
...end sample ldd details ...
Comment 1 Luis Villa 2007-05-29 16:08:28 EDT
Created attachment 155624 [details]
frame that I copied into the doc, causing(?) the crash
Comment 2 Caolan McNamara 2007-05-30 03:53:27 EDT
Created attachment 155661 [details]
fix as in FC-6
Comment 3 Caolan McNamara 2007-05-30 03:54:50 EDT
I believe this is http://www.openoffice.org/issues/show_bug.cgi?id=68655

willing to fix for RHEL-5.2, though if we bump to a later >= 2.1 version for a
RHEL update then we'll get this for free as well
Comment 4 RHEL Product and Program Management 2007-10-15 23:58:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Caolan McNamara 2007-11-20 08:05:12 EST
Should be ok in 2.3.0 by virtue of rebase
Comment 10 errata-xmlrpc 2008-05-21 13:24:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0463.html

Note You need to log in before you can comment on or make changes to this bug.